#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EClientStat {
    P2PConnectionsUDP = 0,
    P2PConnectionsRelay = 1,
    P2PGameConnections = 2,
    P2PVoiceConnections = 3,
    BytesDownloaded = 4,
}

impl EClientStat {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::P2PConnectionsUDP as i32 => Some(Self::P2PConnectionsUDP),
            x if x == Self::P2PConnectionsRelay as i32 => Some(Self::P2PConnectionsRelay),
            x if x == Self::P2PGameConnections as i32 => Some(Self::P2PGameConnections),
            x if x == Self::P2PVoiceConnections as i32 => Some(Self::P2PVoiceConnections),
            x if x == Self::BytesDownloaded as i32 => Some(Self::BytesDownloaded),
            _ => None,
        }
    }
}
